<div class="container-fluid " *ngIf='mapReady && loadingHotel'>

  <div class="card col-md-6 col-md-offset-3 mx-auto">
    <div id="panel-creation_hotel" class="panel panel-creation_hotel">
      <div class="panel-heading">
        <div class="row">
          <div class="col-xs-10 col-md-6">
            <h4>Modification de l'hôtel : {{hotel?.hotel_name}}</h4>
          </div>
        </div>
      </div>
      <div class="panel-body">
        <div class="row">
          <div class="col-lg-12">
            <form [formGroup]="hotelForm" (ngSubmit)="hotelForm.valid && submitRegistration(hotelForm.value)"
              novalidate>
              <div class="form-group">
                <input type="text" id="hotelName" class="form-control" tabindex="1" placeholder="Entrez le nom de l'hôtel..."
                  formControlName="hotelName" [ngModel]="hotel?.hotelName">
              </div>

              <div class="form-group" id='searchBoxContainer1'>
                <input type="text" id="txtSource" name="txtSource" class="form-control" tabindex="2" placeholder="Lieu de départ du trajet"
                  formControlName="txtSource" [ngModel]="hotel?.address" autocomplete="off" required>
              </div>

              <div class="form-group">
                <app-bing-map class="mat-elevation-z5" style="width: auto; height: 400px;" [city1]="hotel?.address"
                  [consult]="true" [modif]="true" (eventCalculDir)="calculDir($event)"></app-bing-map>
              </div>
              <div class="form-group">
                <input type="text" tabindex="3" class="form-control" id="hotelRoomsNumber" placeholder="Entrez le nombre de chambres de l'hôtel..."
                  formControlName="hotelRoomsNumber" [ngModel]="hotel?.hotelRoomsNumber">
              </div>
              <div class="form-group">
                <input type="text" tabindex="3" class="form-control" id="phoneNumber" placeholder="Entrez le numéro de téléphone de l'hôtel..."
                  formControlName="phoneNumber" [ngModel]="hotel?.phoneNumber">
              </div>
              <div class="form-group">
                <input type="text" tabindex="3" class="form-control" id="mailAdress" placeholder="Entrez l'adresse email de l'hôtel..."
                  formControlName="mailAddress" [ngModel]="hotel?.mailAddress">
              </div>
              <div class="form-group">
                <img [style.width.px]="urlCompo.adjustedWidth" [style.height.px]="150" *ngIf="urlCompo.loadingPhoto && base64Image !== undefined"
                  [src]="base64Image">
                <div fxlayoutAlign="center center" layout-fill>
                  <input type="file" tabindex="2" accept="image/x-png,image/gif,image/jpeg" formDataName="photo"
                    (change)="changeListener($event)" value="{{picture?.photo}}" />
                </div>
              </div>
              <div class="row">
                <div class="col-md-8">
                  Type d'appartement possible pour cet hôtel :
                </div>
                <div class="col-md-12" *ngFor="let flat of listTypeFlat">
                  - {{flat.flatCategoryDto.flatCategoryName}}
                </div>

              </div>
              <button tabindex="5" class=' form-control btn btn-primary' routerLink="/creationFlat/{{hotel?.hotelId}}">Créer
                un nouvel appartement</button>
              <button tabindex="5" class=' form-control btn btn-primary' routerLink="/creationFlatCategory">Créer
                une nouvelle catégorie d'appartement</button>

              <div class="form-group">
                <div class="row">
                  <div class="col-sm-6 col-sm-offset-3">
                    <button tabindex="5" class=' form-control btn btn-primary' type='submit' [disabled]='!hotelForm.valid'>Modifier
                      cet hôtel</button>
                  </div>
                  <div class="col-sm-6 col-sm-offset-3">
                    <button tabindex="5" class=' form-control btn btn-primary' (click)="deleteHotel()">Supprimer
                      cet hôtel</button>
                  </div>

                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>

</div>
